CREATE TABLE Student (
  MatrNr int(11) DEFAULT '0' NOT NULL auto_increment,
  Name varchar(20),
  Semester int(11),
  PRIMARY KEY (MatrNr)
);
CREATE TABLE Vorlesung (
  VorlesungNr int(11) DEFAULT '0' NOT NULL auto_increment,
  Titel varchar(20),
  SWS int(11),
  PersNr int(11),
  PRIMARY KEY (VorlesungNr)
);
CREATE TABLE Angestellte (
  PersNr int(11) NOT NULL,
  Name varchar(20),
  PRIMARY KEY (PersNr)
);
CREATE TABLE Professor (
  PersNr int(11) NOT NULL,
  Rang varchar(20),
  Raum int(11),
  PRIMARY KEY (PersNr)
);
CREATE TABLE Assistent (
  PersNr int(11) NOT NULL,
  Fachgebiet varchar(20),
  Professor int(11),
  PRIMARY KEY (PersNr)
);
CREATE TABLE hoeren (
  MatrNr int(11) NOT NULL,
  VorlesungNr int(11) NOT NULL,
  PRIMARY KEY (MatrNr,VorlesungNr)
);
CREATE TABLE voraussetzten (
  VorgaengerNr int(11) NOT NULL,
  NachfolgerNr int(11) NOT NULL,
  PRIMARY KEY (VorgaengerNr,NachfolgerNr)	
);
CREATE TABLE pruefen (
  MatrNr int(11) NOT NULL,
  VorlesungNr int(11) NOT NULL,
  PersNr int(11) NOT NULL,
  Note enum('sehr gut','gut','befriedigend','ausreichend','mangelhaft'),
  PRIMARY KEY (MatrNr,VorlesungNr,PersNr)
);
CREATE TABLE Termin (
  VorlesungNr int(11) NOT NULL,
  Wochentag enum('Montag','Dienstag','Mittwoch','Donnerstag','Freitag'),
  Zeit varchar(5)
);

INSERT INTO Angestellte (PersNr,Name) VALUES ('1','Kieslowski');
INSERT INTO Angestellte (PersNr,Name) VALUES ('2','Wajda');
INSERT INTO Angestellte (PersNr,Name) VALUES ('3','Zanussi');
INSERT INTO Angestellte (PersNr,Name) VALUES ('4','Polanski');
INSERT INTO Angestellte (PersNr,Name) VALUES ('5','Sienkiewicz');
INSERT INTO Angestellte (PersNr,Name) VALUES ('6','Curie-Sklodowska');
INSERT INTO Angestellte (PersNr,Name) VALUES ('7','Reymont');
INSERT INTO Angestellte (PersNr,Name) VALUES ('8','Konopnicka');
INSERT INTO Angestellte (PersNr,Name) VALUES ('9','Zeromski');
INSERT INTO Angestellte (PersNr,Name) VALUES ('10','Mickiewicz');
INSERT INTO Angestellte (PersNr,Name) VALUES ('11','Slowacki');

INSERT INTO Angestellte (PersNr,Name) VALUES (12,'Olbryski');
INSERT INTO Angestellte (PersNr,Name) VALUES (13,'Sturr');
INSERT INTO Angestellte (PersNr,Name) VALUES (14,'Pazura');
INSERT INTO Angestellte (PersNr,Name) VALUES (15,'Kobuszewski'); 
INSERT INTO Angestellte (PersNr,Name) VALUES (16,'Tym'); 
INSERT INTO Angestellte (PersNr,Name) VALUES (17,'Linda'); 
INSERT INTO Angestellte (PersNr,Name) VALUES (18,'Cybulski');

INSERT INTO Professor (PersNr,Rang,Raum) VALUES ('1','A',1201); 
INSERT INTO Professor (PersNr,Rang,Raum) VALUES ('2','A',130); 
INSERT INTO Professor (PersNr,Rang,Raum) VALUES ('3','B',213); 
INSERT INTO Professor (PersNr,Rang,Raum) VALUES ('4','C',23); 
INSERT INTO Professor (PersNr,Rang,Raum) VALUES ('5','A',44); 
INSERT INTO Professor (PersNr,Rang,Raum) VALUES ('6','N',202); 
INSERT INTO Professor (PersNr,Rang,Raum) VALUES ('7','C',21); 
INSERT INTO Professor (PersNr,Rang,Raum) VALUES ('8','A',12); 
INSERT INTO Professor (PersNr,Rang,Raum) VALUES ('9','E',32); 
INSERT INTO Professor (PersNr,Rang,Raum) VALUES ('10','C',12); 
INSERT INTO Professor (PersNr,Rang,Raum) VALUES ('11','A',12);

INSERT INTO Assistent VALUES (12,'Bionik',6);
INSERT INTO Assistent VALUES (13,'Kopierwissenschaft',10);
INSERT INTO Assistent VALUES (14,'Epistemologie',11);
INSERT INTO Assistent VALUES (15,'Glaziologie',6);
INSERT INTO Assistent VALUES (16,'Aeronomie',1);
INSERT INTO Assistent VALUES (17,'Alchemie',3);
INSERT INTO Assistent VALUES (18,'Limnologie',1);

INSERT INTO Vorlesung (VorlesungNr,Titel,SWS,PersNr) VALUES (1,'Grundzge der Informatik I',4,2); 
INSERT INTO Vorlesung (VorlesungNr,Titel,SWS,PersNr) VALUES (2,'Physik',4,3); 
INSERT INTO Vorlesung (VorlesungNr,Titel,SWS,PersNr) VALUES (3,'Mathematik',4,5); 
INSERT INTO Vorlesung (VorlesungNr,Titel,SWS,PersNr) VALUES (4,'Chemie',4,6); 
INSERT INTO Vorlesung (VorlesungNr,Titel,SWS,PersNr) VALUES (5,'BWL Crashkurs',4,6); 
INSERT INTO Vorlesung (VorlesungNr,Titel,SWS,PersNr) VALUES (6,'Kybernetik',4,7); 
INSERT INTO Vorlesung (VorlesungNr,Titel,SWS,PersNr) VALUES (7,'Floristik',4,8); 
INSERT INTO Vorlesung (VorlesungNr,Titel,SWS,PersNr) VALUES (8,'Gott und die Welt',4,9); 
INSERT INTO Vorlesung (VorlesungNr,Titel,SWS,PersNr) VALUES (9,'Eugenik',4,10); 
INSERT INTO Vorlesung (VorlesungNr,Titel,SWS,PersNr) VALUES (10,'Monetarismus',4,11); 
INSERT INTO Vorlesung (VorlesungNr,Titel,SWS,PersNr) VALUES (11,'Geschichte',4,4);

INSERT INTO Termin VALUES (1,'Donnerstag','10:12');
INSERT INTO Termin VALUES (1,'Donnerstag','9:15');
INSERT INTO Termin VALUES (2,'Montag','20:03');
INSERT INTO Termin VALUES (3,'Freitag','16:15');
INSERT INTO Termin VALUES (4,'Mittwoch','9:02');
INSERT INTO Termin VALUES (5,'Montag','6:00');
INSERT INTO Termin VALUES (5,'Dienstag','6:00');
INSERT INTO Termin VALUES (6,'Donnerstag','12:15');
INSERT INTO Termin VALUES (7,'Dienstag','11:05');
INSERT INTO Termin VALUES (8,'Montag','13:04');
INSERT INTO Termin VALUES (9,'Freitag','8:00');
INSERT INTO Termin VALUES (10,'Donnerstag','9:00');
INSERT INTO Termin VALUES (11,'Montag','14:00');
INSERT INTO Termin VALUES (11,'Montag','14:00');

INSERT INTO Student VALUES (2,'Preisner',2);
INSERT INTO Student VALUES (1,'Sojka',4);
INSERT INTO Student VALUES (3,'Killar',2);
INSERT INTO Student VALUES (4,'Penderecki',10);
INSERT INTO Student VALUES (5,'Turnau',2);
INSERT INTO Student VALUES (6,'Grechuta',3);
INSERT INTO Student VALUES (7,'Gorniak',1);
INSERT INTO Student VALUES (8,'Niemen',3);
INSERT INTO Student VALUES (9,'Bem',5);
 
INSERT INTO hoeren VALUES (1,10);
INSERT INTO hoeren VALUES (1,5);
INSERT INTO hoeren VALUES (2,9);
INSERT INTO hoeren VALUES (3,5);
INSERT INTO hoeren VALUES (4,1);
INSERT INTO hoeren VALUES (5,11);
INSERT INTO hoeren VALUES (6,4);
INSERT INTO hoeren VALUES (7,8);
INSERT INTO hoeren VALUES (8,7);
INSERT INTO hoeren VALUES (9,7);
INSERT INTO hoeren VALUES (9,7);
INSERT INTO hoeren VALUES (9,8);
INSERT INTO hoeren VALUES (8,10);
INSERT INTO hoeren VALUES (7,3);
INSERT INTO hoeren VALUES (7,3);
INSERT INTO hoeren VALUES (7,8);

INSERT INTO pruefen VALUES (1,5,7,'befriedigend');
INSERT INTO pruefen VALUES (2,9,10,'sehr gut');
INSERT INTO pruefen VALUES (3,6,8,'gut');
INSERT INTO pruefen VALUES (5,7,8,'mangelhaft');
INSERT INTO pruefen VALUES (4,4,3,'befriedigend');

INSERT INTO voraussetzten VALUES (1,2);
INSERT INTO voraussetzten VALUES (9,2);
INSERT INTO voraussetzten VALUES (6,1);
INSERT INTO voraussetzten VALUES (5,10);
INSERT INTO voraussetzten VALUES (8,7);
INSERT INTO voraussetzten VALUES (8,11);
INSERT INTO voraussetzten VALUES (11,9);
INSERT INTO voraussetzten VALUES (3,4);
